SearchView
Keywords: javax.help.SearchView class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class SearchView

    java.lang.Object
      javax.help.NavigatorView
          javax.help.SearchView

All Implemented Interfaces:
  java.io.Serializable

public class SearchView
extends NavigatorView

Navigational View information for a Search

See Also:
  Serialized Form

Constructor Summary
`SearchView(HelpSet hs, java.lang.String name, java.lang.String label, java.util.Hashtable params)` Constructs a SearchView with some given data.
`SearchView(HelpSet hs, java.lang.String name, java.lang.String label, java.util.Locale locale, java.util.Hashtable params)` Constructs a SearchView with some given data.

Method Summary
`java.awt.Component` | `createNavigator(HelpModel model)` Creates a navigator for a given model.

Methods inherited from class javax.help.NavigatorView
`create, getHelpSet, getImageID, getLabel, getLabel, getLocale, getMergeType, getName, getParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchView

    public SearchView(HelpSet hs,
                      java.lang.String name,
                      java.lang.String label,
                      java.util.Hashtable params)

  Constructs a SearchView with some given data. Locale of the View defaults to that of the HelpSet.

Parameters:
  `hs` - The HelpSet that provides context information.
  `name` - The name of the View.
  `label` - The label (to show the user) of the View.
  `params` - A hashtable that provides different key/values for this type.

### SearchView

    public SearchView(HelpSet hs,
                      java.lang.String name,
                      java.lang.String label,
                      java.util.Locale locale,
                      java.util.Hashtable params)

  Constructs a SearchView with some given data.

Parameters:
  `hs` - The HelpSet that provides context information.
  `name` - The name of the View.
  `label` - The label (to show the user) of the View.
  `locale` - The default locale to interpret the data in this TOC.
  `params` - A hashtable that provides different key/values for this type.

Method Detail

### createNavigator

    public java.awt.Component createNavigator(HelpModel model)

  Creates a navigator for a given model.

  Specified by:
    `createNavigator` in class `NavigatorView`
  Parameters:
    `model` - The model for the Navigator.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD